| threaddb 2.0 A file mapped memory container extension

Classes | Macros | Typedefs | Functions | Variables
rgridsample.cpp File Reference
`#include <threaddbRGrid.h>`
`#include <threaddbStream.h>`
`#include <fstream>`
`#include <ios>`
`#include <random>`
`#include <iostream>`
`#include <list>`
`#include <sstream>`
`#include <map>`

## Classes
class | Shape1D< T >
class | Shape2D< T >
class | Shape3D< T >
class | RandomGenerator< T >
struct | Counter< T >

## Macros
#define | PATH_SEP "/"

## Typedefs
typedef int64_t | coordinate
typedef tdb::Point< coordinate, 1 > | Point1D
typedef tdb::Box< coordinate, 1 > | Box1D
typedef Shape1D< coordinate > | Shape1D_
typedef tdb::Point< coordinate, 2 > | Point2D
typedef tdb::Box< coordinate, 2 > | Box2D
typedef Shape2D< coordinate > | Shape2D_
typedef tdb::Point< coordinate, 3 > | Point3D
typedef tdb::Box< coordinate, 3 > | Box3D
typedef Shape3D< coordinate > | Shape3D_

## Functions
void | threadStore (tdb::rgrid< Shape3D_, coordinate, 3 > *pRgrid_p, RandomGenerator< coordinate > *pRand_p)
int | main (int argc, char *argv[])

## Variables
const coordinate | shapeDimension = 1000
const coordinate | scenarioDimension = 2000000

## Macro Definition Documentation

## ◆ PATH_SEP

#define PATH_SEP "/"

## Typedef Documentation

## ◆ Box1D

typedef tdb::Box<coordinate, 1> Box1D

## ◆ Box2D

typedef tdb::Box<coordinate, 2> Box2D

## ◆ Box3D

typedef tdb::Box<coordinate, 3> Box3D

## ◆ coordinate

typedef int64_t coordinate

## ◆ Point1D

typedef tdb::Point<coordinate, 1> Point1D

## ◆ Point2D

typedef tdb::Point<coordinate, 2> Point2D

## ◆ Point3D

typedef tdb::Point<coordinate, 3> Point3D

## ◆ Shape1D_

typedef Shape1D<coordinate> Shape1D_

## ◆ Shape2D_

typedef Shape2D<coordinate> Shape2D_

## ◆ Shape3D_

typedef Shape3D<coordinate> Shape3D_

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

## ◆ threadStore()

void threadStore | ( | tdb::rgrid< Shape3D_, coordinate, 3 > * | pRgrid_p,
|  | RandomGenerator< coordinate > * | pRand_p
| ) |  |

## Variable Documentation

## ◆ scenarioDimension

const coordinate scenarioDimension = 2000000

## ◆ shapeDimension

const coordinate shapeDimension = 1000